## openerp-server 5.0.5

=== Makefile ===
# -*- makefile -*-

addons-path := bin/addons/ 
extra-addons:= ''
root-path := bin/  
port := 8069
net_port := 8070 
module := base
database := terp
language := fr_FR
i18n-import := bin/addons/base/i18n/fr_FR.po
interrogation_file := bin/addons/quality_integration_server/base_quality_interrogation.py
login := admin
password := admin

start:        
	python $(interrogation_file) start-server --root-path=$(root-path) --addons-path=$(addons-path) --port=$(port)

create-db:
	python $(interrogation_file) create-db --database=$(database) --root-path=$(root-path) --addons-path=$(addons-path) --port=$(port) --login=$(login) --password=$(password)

drop-db:
	python $(interrogation_file) drop-db --database=$(database) --root-path=$(root-path) --addons-path=$(addons-path) --port=$(port)

install-module:	
	python $(interrogation_file) install-module --modules=$(module) --database=$(database) --root-path=$(root-path) --addons-path=$(addons-path) --extra-addons=$(extra-addons) --port=$(port) --login=$(login) --password=$(password)

upgrade-module:	
	python $(interrogation_file) upgrade-module --modules=$(module) --database=$(database) --root-path=$(root-path) --addons-path=$(addons-path) --port=$(port) --login=$(login) --password=$(password)
	

install-translation:    
	python $(interrogation_file) install-translation --database=$(database) --translate-in=$(i18n-import) --port=$(port) --login=$(login) --password=$(password) --root-path=$(root-path) --addons-path=$(addons-path)
    

version:
	python bin/openerp-server.py --version

check-quality:	
	python $(interrogation_file) check-quality --database=$(database) --modules=$(module) --port=$(port) --login=$(login) --password=$(password) --addons-path=$(addons-path) --root-path=$(root-path)

## openerp-server 5.0.15

=== debian/changelog ===
openerp-server (5.0.15-2) unstable; urgency=low

  * Removing README.source and headers in copyright file.
  * Removing vcs fields.
  * Updating year in copyright file.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Sat, 01 Jan 2011 09:45:38 +0100

openerp-server (5.0.15-1) experimental; urgency=low

  * Merging upstream version 5.0.15.
  * Updating to debhelper version 8.
  * Switching to source format 3.0 (quilt).

 -- Daniel Baumann <daniel@debian.org>  Sun, 21 Nov 2010 19:06:33 +0100

openerp-server (5.0.14-1) experimental; urgency=low

  * Updating to standards version 3.9.1.
  * Merging upstream version 5.0.14.

 -- Daniel Baumann <daniel@debian.org>  Wed, 15 Sep 2010 00:22:00 +0200

openerp-server (5.0.13-1) experimental; urgency=low

  * Merging upstream version 5.0.13.

 -- Daniel Baumann <daniel@debian.org>  Mon, 13 Sep 2010 09:14:10 +0200

openerp-server (5.0.12-2) unstable; urgency=low

  * Removing debhelper auto install overrides.
  * Updating clean target in rules.
  * Reverting to manual setup.py call, updated for version 5.0.12.

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Aug 2010 18:53:43 +0200

openerp-server (5.0.12-1) unstable; urgency=low

  * Updating standards version to 3.9.0.
  * Merging upstream version 5.0.12.

 -- Daniel Baumann <daniel@debian.org>  Sun, 18 Jul 2010 19:46:39 +0200

openerp-server (5.0.11-1) unstable; urgency=low

  * Merging upstream version 5.0.11.
  * Adding patch from Timothy E. Harris <maintainer@mepiscommunity.org>
    to prevents creating a new database if the locale is not a UTF-8 one
    (Closes: #584976).

 -- Daniel Baumann <daniel@debian.org>  Tue, 08 Jun 2010 11:42:23 +0200

openerp-server (5.0.10-1) unstable; urgency=low

  * Merging upstream version 5.0.10.

 -- Daniel Baumann <daniel@debian.org>  Fri, 07 May 2010 15:02:31 +0200

openerp-server (5.0.9-1) unstable; urgency=low

  * Merging upstream version 5.0.9.

 -- Daniel Baumann <daniel@debian.org>  Fri, 16 Apr 2010 06:47:02 +0200

openerp-server (5.0.8-1) unstable; urgency=low

  * Merging upstream version 5.0.8.

 -- Daniel Baumann <daniel@debian.org>  Wed, 14 Apr 2010 20:19:21 +0200

openerp-server (5.0.7-2) unstable; urgency=low

  * Updating python build-depends.
  * Adding patch to fix bad whatis entry in openerp-server manpage.

 -- Daniel Baumann <daniel@debian.org>  Wed, 07 Apr 2010 00:09:23 +0200

openerp-server (5.0.7-1) unstable; urgency=low

  * Merging upstream version 5.0.7 (Closes: #573716):
  * Updating copyright file.
  * Resorting the dh call to more common order.
  * Updating README.source.
  * Dropping python-lxml patch, went upstream.
  * Dropping postgresql-8.4.patch, went upstream.
  * Adding some more python module build-depends to avoid some chicken-
    egg problem with the new setup.py and quilt.
  * Adding dependency to remote_fs in init script.

 -- Daniel Baumann <daniel@debian.org>  Sat, 13 Mar 2010 13:55:50 +0100

openerp-server (5.0.6-4) unstable; urgency=low

  * Adding explicit debian source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Adding patch from Toni Mueller <support@oeko.net> to fix SQL for
    postgresql 8.4 (Closes: #568119).

 -- Daniel Baumann <daniel@debian.org>  Sat, 06 Feb 2010 10:22:05 +0100

openerp-server (5.0.6-3) unstable; urgency=low

  [ Daniel Baumann ]
  * Setting last-translator for German debconf templates to me, no
    intention do deal with debian-l10n-german in the future anymore.

  [ Mathias Behrle ]
  * Removing deprecated option -q for PostgreSQL client commands
    (Closes: #548875).

 -- Daniel Baumann <daniel@debian.org>  Sat, 31 Oct 2009 09:20:27 +0100

openerp-server (5.0.6-2) unstable; urgency=low

  * Minimizing rules file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 18 Oct 2009 21:19:57 +0200

openerp-server (5.0.6-1) unstable; urgency=low

  * Merging upstream version 5.0.6.
  * Rediffing python-lxml.patch.

 -- Daniel Baumann <daniel@debian.org>  Sat, 17 Oct 2009 08:32:56 +0200

openerp-server (5.0.5-1) unstable; urgency=low

  * Merging upstream version 5.0.5.

 -- Daniel Baumann <daniel@debian.org>  Mon, 21 Sep 2009 20:38:00 +0200

openerp-server (5.0.4-1) unstable; urgency=medium

  * Merging upstream version 5.0.4:
    - fixes a security problem.
  * No longer calling debconf-updatepo in clean target of rules.

 -- Daniel Baumann <daniel@debian.org>  Mon, 21 Sep 2009 00:01:13 +0200

openerp-server (5.0.3-0-2) unstable; urgency=low

  * Adding README.source.
  * Moving maintainer homepage from control to copyright.
  * Updating README.source.
  * Adding patch from upstream to use python-lxml instead of python-xml,
    thanks to Alan Bell <alan.bell@theopenlearningcentre.com> (Closes:
    #543947).

 -- Daniel Baumann <daniel@debian.org>  Wed, 16 Sep 2009 21:18:30 +0200

openerp-server (5.0.3-0-1) unstable; urgency=low

  * Merging upstream version 5.0.3-0.
  * Removing xmlrpc.patch, went upstream.
  * Using dedicated storage directory in /var/lib/openerp-server, that
    way the addons directory can stay read-only for the unprivileged
    user.
  * Commenting out db_name in config (Closes: #542391).
  * Commenting out port in config (Closes: #542406).
  * Renaming logfile to openerp-server.log for consistency.
  * Commenting out pidfile in config (Closes: #542427).
  * Removing debconf handling in postrm, not possible to do that.
  * Removing local storage directory on purge.

 -- Daniel Baumann <daniel@debian.org>  Mon, 24 Aug 2009 20:16:55 +0200

openerp-server (5.0.2-0-3) unstable; urgency=low

  * Wrapping and sorting depends.
  * Correcting spelling of Open ERP.
  * Updating maintainer field.
  * Updating vcs fields.
  * Updating to standards version 3.8.3.
  * Dropping old depends on python-xml (Closes: #543127).
  * Adding maintainer homepage field to control.
  * Marking maintainer homepage field to be also included in binary
    packages and changelog.



=== debian/control ===
Source: openerp-server
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8), python
Build-Depends-Indep:
 python-libxslt1, python-lxml, python-pychart, python-pydot, python-psycopg2,
 python-reportlab
Standards-Version: 3.9.1
Homepage: http://www.openerp.com/

Package: openerp-server
Section: net
Architecture: all
Depends:
 ${misc:Depends}, adduser, python,  python-libxslt1, python-lxml,
 python-psycopg2, python-pydot, python-pychart, python-reportlab, python-tz
Conflicts: tinyerp-server
Replaces: tinyerp-server
Recommends:
 graphviz, ghostscript, postgresql, postgresql-client, python-imaging,
 python-matplotlib, python-openssl, python-pyparsing
Suggests: openerp-client
Description: Enterprise Resource Management (server)
 Open ERP, previously known as TinyERP, is a complete ERP and CRM. The main
 features are accounting (analytic and financial), stock management, sales and
 purchases management, tasks automation, marketing campaigns, help desk, POS,
 etc. Technical features include a distributed server, flexible workflows, an
 object database, a dynamic GUI, customizable reports, and NET-RPC and XML-RPC
 interfaces.
 .
 This package contains the Open ERP server, install openerp-client package for
 the client.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_clean:
	dh_auto_clean

	rm -rf build

override_dh_auto_install:
	python setup.py install --install-layout=deb --no-compile --prefix=$(CURDIR)/debian/openerp-server/usr

	# Adjusting program location
	sed -i -e 's|cd .*|cd /usr/share/pyshared/openerp-server|' debian/openerp-server/usr/bin/openerp-server

	# Removing double files
	rm -rf debian/openerp-server/usr/share/doc/openerp-server-*

override_dh_fixperms:
	dh_fixperms

	find debian/openerp-server/usr/share/pyshared/openerp-server/addons -type f -print0 | xargs -0 chmod 0644

override_dh_installchangelogs:
	dh_installchangelogs doc/Changelog

override_dh_installinit:
	dh_installinit --update-rcd-params='defaults 21'
